Change in osmo-trx[master]: contrib/jenkins.sh: Reorder sanity checks

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

pespin gerrit-no-reply at lists.osmocom.org
Wed Feb 19 11:46:51 UTC 2020


pespin has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-trx/+/17223 )


Change subject: contrib/jenkins.sh: Reorder sanity checks
......................................................................

contrib/jenkins.sh: Reorder sanity checks

Change-Id: Idfe12148aa7a8030bdaf56d11c1547ebc3f56d14
---
M contrib/jenkins.sh
1 file changed, 14 insertions(+), 7 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/osmo-trx refs/changes/23/17223/1

diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 84e4ea7..df444ca 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -23,15 +23,8 @@
         mychroot_nocwd -w / "$@"
 }
 
-base="$PWD"
-deps="$base/deps"
-inst="$deps/install"
-export deps inst
-
 if [ -z "${INSIDE_CHROOT}" ]; then
 
-        osmo-clean-workspace.sh
-
         # Only use ARM chroot if host is not ARM and the target is ARM:
         if ! $(substr "arm" "$(uname -m)") && [ "x${INSTR}" = "x--with-neon" -o "x${INSTR}" = "x--with-neon-vfpv4" ]; then
 
@@ -69,6 +62,20 @@
         fi
 fi
 
+set -ex
+
+if ! [ -x "$(command -v osmo-build-dep.sh)" ]; then
+	echo "Error: We need to have scripts/osmo-deps.sh from http://git.osmocom.org/osmo-ci/ in PATH !"
+	exit 2
+fi
+
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
+
+osmo-clean-workspace.sh
+
 mkdir "$deps" || true
 
 osmo-build-dep.sh libosmocore "" "--enable-sanitize --disable-doxygen --disable-pcsc"

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-trx/+/17223
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-trx
Gerrit-Branch: master
Gerrit-Change-Id: Idfe12148aa7a8030bdaf56d11c1547ebc3f56d14
Gerrit-Change-Number: 17223
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin at sysmocom.de>
Gerrit-MessageType: newchange
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20200219/3bfb8c0b/attachment.htm>


More information about the gerrit-log mailing list